package com.yuchen.saas.park.service.service.property;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.property.*;
import com.yuchen.saas.park.api.entity.property.PropertyHouseOwner;
import com.yuchen.saas.park.api.vo.property.*;
import org.nest.springwrap.core.mp.support.NestPage;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @Author 蔡文强
 * @Date 2023/11/28 10:56
 * @Description 房产业主表 服务类
 */
public interface IPropertyHouseOwnerService extends IService<PropertyHouseOwner> {
    Boolean saveHouseOwner(PropertyHouseOwnerDto houseOwnerDto);
    Boolean updateHouseOwner(PropertyHouseOwnerDto houseOwnerDto);
    Boolean deleteHouseOwner(Long id);
    PropertyHouseOwnerVo getHouseOwnerById(Long id);
    NestPage<PropertyHouseOwnerListVo> getHouseOwnerPageList(PropertyHouseOwnerQueryDto queryDto);
    PropertyHouseOwnerImportResVo importHouseOwner(MultipartFile file);
    void exportHouseOwner(PropertyHouseOwnerQueryDto queryDto, HttpServletResponse response);

    PropertyHouseOwner getByHouseId(Long houseId);
}
